Skip to content
Docs

Promote a staging version to production or restore a previous production version.

POSThttps://api.vercel.com/v1/bulk-redirects/versions
Update a version by promoting staging to production or restoring a previous production version
https://api.vercel.com/v1/bulk-redirects/versions
const response = await fetch('https://api.vercel.com/v1/bulk-redirects/versions?projectId=string&teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"id": "icfg_1234567890",
"action": "promote",
"name": "Example Name"
}),
});
const data = await response.json();
console.log(data);
Response
{
"version": {
"alias": "string",
"createdBy": "string",
"id": "icfg_1234567890",
"isLive": "false",
"isStaging": "false",
"key": "string",
"lastModified": "123",
"name": "Example Name",
"redirectCount": "123"
}
}
AuthorizationbearerToken

Default authentication mechanism

projectIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
idstringRequired
actionstringRequired
namestringOptional
200Success
versionobjectRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error